<div class="page">
  <div class="page-header home-header">
    <div class="title home-title">
      Profile
    </div>
    <div class="actions">
      <ion-icon name="help-circle-outline" class="action-icon" (click)="help('')"></ion-icon>
      <ion-icon name="log-out-outline" class="action-icon" (click)="logout()"></ion-icon>
    </div>
  </div>
</div>
<ion-content class="page-content">
  <div class="page-content inner" style="overflow-y: scroll;">
    <ion-grid>
      <ion-row>
        <ion-col size="3">
          <!-- <ion-list lines="none"> -->
            <ion-icon name="person-circle-outline" style="width: 100%;height: 100%;"></ion-icon>
            <!-- <ion-item style="--min-height: 15px;">
              <ion-label style="text-align: center;color: blue;margin: 0px;"><span><u>edit</u></span></ion-label>
            </ion-item> -->
          <!-- </ion-list> -->
        </ion-col>
        <ion-col>
          <ion-list lines="none">
            <ion-item style="--min-height: 15px;">
              <ion-label style="margin: 5px"><span>{{name}}</span></ion-label>
            </ion-item>
            <ion-item style="--min-height: 15px;">
              <ion-label style="margin: 5px"><span>{{mobile}}</span></ion-label>
            </ion-item>
            <ion-item style="--min-height: 15px;">
              <ion-label style="margin: 5px"><span>{{email}}</span></ion-label>
            </ion-item>
          </ion-list>
        </ion-col>
      </ion-row>
    </ion-grid>
    <div class="divider"></div>
    <ion-grid>
      <ion-row>
        <ion-col size="6">
          <ion-item lines="none">
            <ion-label><span>Password</span></ion-label>
          </ion-item>
        </ion-col>
        <ion-col size="6">
          <ion-item (click)="updatePassword()" lines="none" style="text-align: end;">
            <ion-label style="float: right;color: blue;"><span><u>edit</u></span></ion-label>
          </ion-item>
        </ion-col>
      </ion-row>
    </ion-grid>
    <div class="divider"></div>
    <ion-grid>
      <ion-row>
        <ion-col size="6">
          <ion-item lines="none">
            <ion-label><span>Subscriptions</span></ion-label>
          </ion-item>
        </ion-col>
        <ion-col size="6">
          <ion-item lines="none" style="text-align: end;">
            <ion-label style="float: right;"><span>{{subcount}}</span></ion-label>
          </ion-item>
        </ion-col>
      </ion-row>
    </ion-grid>
    <div class="plans-section">
      <div class="">
        <div class="plan-slide">
          <!-- <ion-col> -->
            <ion-card class="plan-slide-card" no-padding no-margin button
              *ngFor="let veh of profileDetails;let i = index">
              <ion-grid class="plan-card" *ngIf="veh.vehicle_id != null">
                <ion-row class="first-half">
                  <ion-grid>
                    <ion-row>
                      <ion-col size="6">
                        <ion-row class="model">
                          <ion-label><span>{{veh.registration_no}}</span></ion-label>
                        </ion-row>
                      </ion-col>
                      <ion-col size="6">
                        <ion-row class="price">
                          <ion-label><span>{{veh.subscription_amount}}</span></ion-label>
                        </ion-row>
                        <ion-row class="currency">
                          <ion-label><span>AED</span></ion-label>
                        </ion-row>
                      </ion-col>
                    </ion-row>
                  </ion-grid>
                </ion-row>
                <ion-row class="second-half">
                  <ion-grid>
                    <ion-row>
                      <ion-col size="6">
                        <ion-row class="frequency">
                          <ion-label><span>Every {{veh.washDay}}</span></ion-label>
                        </ion-row>

                      </ion-col>
                      <ion-col size="6">

                        <ion-row class="weeklyFrequency">
                          <ion-label><span>{{veh.noOfDays}} per week</span></ion-label>
                        </ion-row>
                      </ion-col>
                    </ion-row>
                  </ion-grid>
                </ion-row>
              </ion-grid>
            </ion-card>
            <!-- <ion-img style="pointer-events:none" src="https://via.placeholder.com/150"></ion-img> -->
          <!-- </ion-col> -->
        </div>
      </div>
    </div>
  </div>
</ion-content>